<?php
/* ライブラリのインクルード */
include '../Classes/PHPExcel.php';
include '../Classes/PHPExcel/IOFactory.php';


/* ファイルを読み込んでインスタンス化 */
$excelFile = "Book1.xlsx";//ファイルパスを指定
//$objReader = PHPExcel_IOFactory::createReader('Excel5');//Excel2003以前の形式
$objReader = PHPExcel_IOFactory::createReader('Excel2007');
$xlsObject = $objReader->load($excelFile);
$arrayCode = array(
	"COMPANY_NAME",
	"COMPANY_CODE",
	"COMP_CLASS",
	"WELL_SET_DAY",
	"PAYMENT_DAY",
	"REMARKS",
	);

// シートごとに読んでいく
for ($i = 0; $i < $xlsObject->getSheetCount(); $i++) {
	$xlsObject->setActiveSheetIndex($i);
	$xlsSheet = $xlsObject->getActiveSheet();
	
	// シート名
	$sheetTitle = $xlsSheet->getTitle();
	$j = 0;
	// シートの行ごとに読んでいく
	if($sheetTitle == "会社管理"){
		foreach ($xlsSheet->getRowIterator() as $row) {
			$xlsCell = $row->getCellIterator();
			$xlsCell->setIterateOnlyExistingCells(false);
			$k = 0;
			// 行のセルごとに読んでいく
			foreach ($xlsCell as $cell) {
				// 「シート名・行番号・セル番号」の連想配列にセル内のデータを格納
				$data[$sheetTitle][$j][$arrayCode[$k]] = $cell->getCalculatedValue();
				$k++;
			}
			$j++;
		}
	}
}

/* 配列の中身を確認 */
var_dump($data);



?>